@import "./scss/variables";

.app-layout {
  max-width: $global-width;
  min-height: 100vh;
  margin: auto;
  align-items: center;
  background: white;
  overflow-x: clip;
}

.font-face-ssp {
  font-family: SourceSansPro;
}

// Flex Container (Global Usage)
.flex-container {
  display: flex;
}

// Justify the Flex Container
.flex-justify-content {
  justify-content: space-between;
}

// Center the Flex Container
.flex-center-content {
  justify-content: center;
}

// Wrap things in flex box
.flex-wrap {
  flex-wrap: wrap;
}

// Footer (Global Usage)
.footer-content-bg {
  background-color: $slightly-grey;
}

.footer-content-height {
  min-height: 56.5vh;
}

// Hide content
.hide-content {
  display: none;
}

// Line Separator (Global Usage)

.line-separator {
  opacity: 0.2;
}

.horizontal-line {
  border-top: 2px solid $disabled-background-or-text-light;
}

.horizontal-line-not-full {
  border-top: 2px solid $disabled-background-or-text-light;
  margin-left: 1.5vh;
  margin-right: 1.5vh;
}

.vertical-line {
  border-left: 2px solid $disabled-background-or-text-light;
}

.vertical-line-not-full {
  border-left: 2px solid $disabled-background-or-text-light;
  margin-top: 1.5vh;
  margin-bottom: 1.5vh;
  height: 2vh;
}

// Sticky Tab for all tabs
.sticky-tab {
  position: -webkit-sticky;
  position: sticky;
  top: 7.5vh;
  z-index: 1;
}

// Remove link decoration
.remove-link-decoration {
  text-decoration: none;
}

// For profile and event navbar
.tab-container {
  margin-top: 5px;
  margin-bottom: 5px;
}

.tab-button {
  background-color: white;
  width: 100%;
  height: 5vh;
  color: $disabled-background-or-text-light;
  padding: 1vh;
  display: flex;
  justify-content: center;
  cursor: pointer;
}

.gray-filter-btn-img {
  filter: $disabled-background-or-text-light-filter;
}

.green-filter-btn-img {
  filter: $complement-dark-01-filter;
}

.green-filter-btn-txt {
  color: $complement-dark-01;
}

.tab-button-img {
  margin-right: 10px;
}
